PHP Manual
Prev |  | Next

# SWFButton->setAction()

(no version information, might be only in CVS)

SWFButton->setAction() -- Sets the action

## Description

class SWFButton {
void setAction ( SWFAction action )
}

Warning
This function is EXPERIMENTAL. The behaviour of this function, the name of this function, and anything else documented about this function may change without notice in a future release of PHP. Use this function at your own risk.

Sets the action to be performed when the button is clicked.

This is a shortcut for SWFButton->addAction() called with the `SWFBUTTON_MOUSEUP` flag.

## Parameters

`action`

  An SWFAction, returned by SWFAction->__construct().

## Return Values

No value is returned.

## See Also

SWFButton->addAction()
SWFAction

Prev | Home | Next
SWFButton->addShape() | Up | SWFButton->setDown()